org.richfaces.renderkit

## Class PanelMenuRendererBase

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.ajax4jsf.renderkit.RendererBase
    - - org.ajax4jsf.renderkit.HeaderResourcesRendererBase
      - - org.richfaces.renderkit.PanelMenuRendererBase

- All Implemented Interfaces:
    org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.HeaderResourceProducer, org.ajax4jsf.renderkit.HeaderResourceProducer2, org.ajax4jsf.resource.ResourceProduser
  Direct Known Subclasses:
    PanelMenuGroupRenderer, PanelMenuItemRenderer, PanelMenuRenderer

      public abstract class PanelMenuRendererBase
      extends org.ajax4jsf.renderkit.HeaderResourcesRendererBase

  Author:
    hans

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PANEL_MENU_SPACER_ICON_NAME`

    - ### Fields inherited from class org.ajax4jsf.renderkit.RendererBase

      `JAVASCRIPT_NAMESPACE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PanelMenuRendererBase()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected int` | `calculateLevel(javax.faces.component.UIComponent component)`
    `void` | `drawIcon(javax.faces.context.ResponseWriter writer, java.lang.String iconType, java.lang.String imageSrc, javax.faces.component.UIComponent component, java.lang.String id, boolean drawHidden)`
    `protected UIPanelMenu` | `findMenu(javax.faces.component.UIComponent component)`
    `java.lang.String` | `getHideStyle(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected java.lang.String` | `getIconByType(java.lang.String iconType, boolean isTopLevel, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` If icon type is a pre-defined value, return corresponding image, otherwise otherwise
    `protected java.lang.String` | `getItemMode(javax.faces.component.UIComponent component)`
    `void` | `insertLabel(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `void` | `insertSpacerImages(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected boolean` | `isChildrenExpanded(javax.faces.component.UIComponent component)`
    `protected boolean` | `isParentDisabled(javax.faces.component.UIComponent component)`
    `protected boolean` | `isSubmitted(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `boolean` | `isTopLevel(javax.faces.component.UIComponent component)`

    - ### Methods inherited from class org.ajax4jsf.renderkit.HeaderResourcesRendererBase

      `encodeResourcesArray, encodeToHead, getHeaderScripts, getHeaderStyles, getScripts, getStyles`

    - ### Methods inherited from class org.ajax4jsf.renderkit.RendererBase

      `addResource, decode, doDecode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getComponentClass, getResource, getSkin, getUtils, preDecode, preEncodeBegin, renderChild, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue, getRendersChildren`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PANEL_MENU_SPACER_ICON_NAME

          public static final java.lang.String PANEL_MENU_SPACER_ICON_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PanelMenuRendererBase

          public PanelMenuRendererBase()

  - ### Method Detail

    - #### insertSpacerImages

          public void insertSpacerImages(javax.faces.context.FacesContext context,
                                javax.faces.component.UIComponent component)
                                  throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### calculateLevel

          protected int calculateLevel(javax.faces.component.UIComponent component)

    - #### getIconByType

          protected java.lang.String getIconByType(java.lang.String iconType,
                                       boolean isTopLevel,
                                       javax.faces.context.FacesContext context,
                                       javax.faces.component.UIComponent component)

      If icon type is a pre-defined value, return corresponding image, otherwise otherwise
      Parameters:
        `iconType` -
        `context` -
        `component` -
      Returns:
        URI of requested image

    - #### findMenu

          protected UIPanelMenu findMenu(javax.faces.component.UIComponent component)

    - #### getHideStyle

          public java.lang.String getHideStyle(javax.faces.context.FacesContext context,
                                      javax.faces.component.UIComponent component)

    - #### insertLabel

          public void insertLabel(javax.faces.context.FacesContext context,
                         javax.faces.component.UIComponent component)
                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### isChildrenExpanded

          protected boolean isChildrenExpanded(javax.faces.component.UIComponent component)

    - #### isParentDisabled

          protected boolean isParentDisabled(javax.faces.component.UIComponent component)

    - #### isSubmitted

          protected boolean isSubmitted(javax.faces.context.FacesContext context,
                            javax.faces.component.UIComponent component)

    - #### getItemMode

          protected java.lang.String getItemMode(javax.faces.component.UIComponent component)

    - #### isTopLevel

          public boolean isTopLevel(javax.faces.component.UIComponent component)

      Parameters:
        `component` -
      Returns:

    - #### drawIcon

          public void drawIcon(javax.faces.context.ResponseWriter writer,
                      java.lang.String iconType,
                      java.lang.String imageSrc,
                      javax.faces.component.UIComponent component,
                      java.lang.String id,
                      boolean drawHidden)
                        throws java.io.IOException

      Parameters:
        `writer` -
        `iconType` -
        `imageSrc` -
        `component` -
      Throws:
        `java.io.IOException`

Copyright © 2013. All Rights Reserved.